Send bulk messages
curl --request POST \
--url https://api-message.nativehub.live/api/v1/messages/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
"+8801712345678",
"+8801812345679",
"+8801912345680"
],
"from": "+8801912345678",
"body": "Special offer: Get 20% off today only!"
}
'import requests
url = "https://api-message.nativehub.live/api/v1/messages/bulk"
payload = {
"recipients": ["+8801712345678", "+8801812345679", "+8801912345680"],
"from": "+8801912345678",
"body": "Special offer: Get 20% off today only!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: ['+8801712345678', '+8801812345679', '+8801912345680'],
from: '+8801912345678',
body: JSON.stringify('Special offer: Get 20% off today only!')
})
};
fetch('https://api-message.nativehub.live/api/v1/messages/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batch_id": "e5f6a7b8-c9d0-1234-ef56-789012345678",
"queued": 2998,
"failed": 2,
"rejected": 0,
"messages": []
}{
"error": "Invalid request parameters"
}Messages
Send bulk messages
Send SMS messages to multiple recipients
POST
/
messages
/
bulk
Send bulk messages
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I